{ config, lib, pkgs, ... }:

let
  dn = "metube.tfcconnection.org";
in 
with lib;
{
  services.nginx.virtualHosts.${dn} = {
    forceSSL = true;
    enableACME = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:8085";
    };
  };
  virtualisation = {
    podman = {
      enable = true;
    };
    oci-containers = {
      # backend = "podman";
      containers = {
        metube = {
          image = "ghcr.io/alexta69/metube";
          restart = "unless-stopped";
          ports = [ "8085:8081" ];
          volumes = [ "/storage/downloads:/downloads" ];
        };
      };
    };
  };
}
